# openstack.image.v2.metadef_schema

## The MetadefSchema Class

The `MetadefSchema` class inherits from `Resource`.

class openstack.image.v2.metadef_schema.MetadefSchema(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  base_path = '/schemas/metadefs'

    The base part of the URI for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  additional_properties

    A boolean value that indicates allows users to add custom properties.

  definitions

    A set of definitions.

  required

    A list of required resources.

  properties

    Schema properties.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.